org.wildfly.swarm.config.jgroups

## Class Stack<T extends Stack<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jgroups.Stack<T>

-     public class Stack<T extends Stack<T>>
      extends Object

  The configuration of a JGroups protocol stack.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Stack.StackResources` Child mutators for Stack

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stack(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `protocol(Protocol value)` Add the Protocol object to the list of subresources
    `T` | `protocol(ProtocolSupplier supplier)` Install a supplied Protocol object to the list of subresources
    `T` | `protocol(String childKey)` Create and configure a Protocol object to the list of subresources
    `T` | `protocol(String childKey, ProtocolConsumer consumer)` Create and configure a Protocol object to the list of subresources
    `T` | `protocols(List<Protocol> value)` Add all Protocol objects to this subresource
    `T` | `RELAY2()` The configuration of a RELAY protocol
    `T` | `RELAY2(RELAY2 value)` The configuration of a RELAY protocol
    `T` | `RELAY2(RELAY2Consumer consumer)` The configuration of a RELAY protocol
    `T` | `RELAY2(RELAY2Supplier supplier)` The configuration of a RELAY protocol
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `statisticsEnabled()` Indicates whether or not all protocols in the stack will collect statistics by default.
    `T` | `statisticsEnabled(Boolean value)` Indicates whether or not all protocols in the stack will collect statistics by default.
    `Stack.StackResources` | `subresources()`
    `T` | `transport(String childKey)` Create and configure a Transport object to the list of subresources
    `T` | `transport(String childKey, TransportConsumer consumer)` Create and configure a Transport object to the list of subresources
    `T` | `transport(Transport value)` Add the Transport object to the list of subresources
    `T` | `transport(TransportSupplier supplier)` Install a supplied Transport object to the list of subresources
    `T` | `transports(List<Transport> value)` Add all Transport objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stack

          public Stack(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Stack.StackResources subresources()

    - #### protocols

          public T protocols(List<Protocol> value)

      Add all Protocol objects to this subresource
      Parameters:
        `value` - List of Protocol objects.
      Returns:
        this

    - #### protocol

          public T protocol(Protocol value)

      Add the Protocol object to the list of subresources
      Parameters:
        `value` - The Protocol to add
      Returns:
        this

    - #### protocol

          public T protocol(String childKey,
                            ProtocolConsumer consumer)

      Create and configure a Protocol object to the list of subresources
      Parameters:
        `key` - The key for the Protocol resource
        `config` - The ProtocolConsumer to use
      Returns:
        this

    - #### protocol

          public T protocol(String childKey)

      Create and configure a Protocol object to the list of subresources
      Parameters:
        `key` - The key for the Protocol resource
      Returns:
        this

    - #### protocol

          public T protocol(ProtocolSupplier supplier)

      Install a supplied Protocol object to the list of subresources

    - #### transports

          public T transports(List<Transport> value)

      Add all Transport objects to this subresource
      Parameters:
        `value` - List of Transport objects.
      Returns:
        this

    - #### transport

          public T transport(Transport value)

      Add the Transport object to the list of subresources
      Parameters:
        `value` - The Transport to add
      Returns:
        this

    - #### transport

          public T transport(String childKey,
                             TransportConsumer consumer)

      Create and configure a Transport object to the list of subresources
      Parameters:
        `key` - The key for the Transport resource
        `config` - The TransportConsumer to use
      Returns:
        this

    - #### transport

          public T transport(String childKey)

      Create and configure a Transport object to the list of subresources
      Parameters:
        `key` - The key for the Transport resource
      Returns:
        this

    - #### transport

          public T transport(TransportSupplier supplier)

      Install a supplied Transport object to the list of subresources

    - #### RELAY2

          public T RELAY2(RELAY2 value)

      The configuration of a RELAY protocol

    - #### RELAY2

          public T RELAY2(RELAY2Consumer consumer)

      The configuration of a RELAY protocol

    - #### RELAY2

          public T RELAY2()

      The configuration of a RELAY protocol

    - #### RELAY2

          public T RELAY2(RELAY2Supplier supplier)

      The configuration of a RELAY protocol

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Indicates whether or not all protocols in the stack will collect statistics by default.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Indicates whether or not all protocols in the stack will collect statistics by default.

Copyright © 2018 JBoss by Red Hat. All rights reserved.